@import "../zz_partials/fonts";
@import "../zz_partials/aa_functions";
@import "../zz_partials/variables";
@import "../zz_partials/ab_mixins";

body{

//  overflow: hidden;
}

#navabar-top {
  .pale-pink {
    background-color: #ffb6c1;

  }

  a {
    color: white;
    text-decoration: none;
    margin-left: 40px;
    font-family: 'Roboto';

    // background-color:#f4511e;

    border-bottom: 1px solid transparentize(#fefefe, 1);
    transition: border-bottom .5s;
    transition-timing-function: ease-in-out;

    &:hover {
      $base-color: #f4511e;
      border-bottom: 1px solid opacify(#fefefe, 0.5);

      //   color:#f4511e;

      color: blue;

    }

  }




}


#sidebar-top {

  a{
    font-family: 'Roboto';

  }
  .pale-pink {
    background-color: #ffb6c1;

  }

  .pale-pink_trans {
  // background-color: $backgroundColor;

  }

  .sidebar{


    left:-310px;

    width:250px;

    transition: .6s ;






  }

  .active{
    left:0;



  }

  ul {

    margin:0;
    padding: 0px 0;

    position: relative;
  }

  li{

    list-style: none;
   /* text-align: center; */

    transition:color 0.9s ease;
    position: relative;

  }


  a::before{
    position: absolute;
    content:'';
    background: rgba(255, 0, 0, 0.5);
    display:block;
    position:absolute;
    width:0%;
    height: 100%;
    transition: .5s;









  }

  a:hover:before {
    width:100%;
    padding: 10px 0px;
  }



  a{
    color:#fff;

    display: block;
    text-decoration:  none;
    border-bottom: 1px solid rgba(0,0,0,.2);
     height: 60px;
    position: relative;



  }

  span{
    position: absolute;

     top:50%;
     left:50%;

    /*transform: translateXY(-50%);*/
    transform: translate(-50%, -50%);

  }

  .SideBarButton{
    position: absolute;
    top:0;
    right:-50px;
    width:50px;
    height: 50px;
    box-sizing: border-box;
    cursor: pointer;
   // background: #f5f5f5;
    border: none;
    outline: none;
  }

  .SideBarButton span{
     display: block;
    width: 35px;
    height: 3px;

    position: absolute;
    top:24px;
    background: white;
    transition: .3s;


  }

  .SideBarButton span:before{
    content: '';

    position: absolute;
    top:-10px;
    left:0;
    width:100%;
    height: 3px;
    background: white;
    transition: .3s;



  }

  .SideBarButton span:after{
    content: '';

    position: absolute;
    top: 10px;
    left:0;
    width:100%;
    height: 3px;
    background: white;
    transition: .3s;



  }

  .SideBarButton.toggle span{

   background: transparent;

  }

  .SideBarButton.toggle span:before{
    top:0;
    transform: rotate(45deg);

  }

  .SideBarButton.toggle span:after{
    top:0;
    transform: rotate(-45deg);

  }




}

#sidebar-nav-menu{

  .pale-pink {
    background-color: #ffb6c1;

  }
  .pale-pink_trans {
    background-color: $backgroundColor;


  }
  .SideBarButton{
    position: absolute;


    width:50px;
    height: 50px;
    box-sizing: border-box;
    cursor: pointer;
    // background: #f5f5f5;
    border: none;
    outline: none;
  }

  .SideBarButton span{
    display: block;
    width: 35px;
    height: 3px;

    position: absolute;
    top:24px;
    background: white;
    transition: .3s;


  }

  .SideBarButton span:before{
    content: '';

    position: absolute;
    top:-10px;
    left:0;
    width:100%;
    height: 3px;
    background: white;
    transition: .3s;



  }

  .SideBarButton span:after{
    content: '';

    position: absolute;
    top: 10px;
    left:0;
    width:100%;
    height: 3px;
    background: white;
    transition: .3s;



  }

  .SideBarButton.toggle span{

    background: transparent;

  }

  .SideBarButton.toggle span:before{
    top:0;
    transform: rotate(45deg);

  }

  .SideBarButton.toggle span:after{
    top:0;
    transform: rotate(-45deg);

  }

  .navbar-brand
  {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
  }
  .hamberger-menu
  {
    position: absolute;

    transform: translateX(-50%);
    margin-left: 3%;

    //transform: translateY(-50%);
  }


  .logo-background{
    background-color: #ffb6c1;
  }

  .circle-bg{

   margin: 20px;
  }

}



